#include<stdio.h>
int main(){
  int n,i,j,pom=1;
  scanf("%d",&n);
  if (n<0){
    printf("-1\n");
    return 1;
  }
  for (i=1;i<=n;i++){
      for (j=1;j<=n-i;j++)
	 printf(" ");
      printf("*");
      for (j=2;j<=pom-1;j++){
	if (j==pom) 
	    printf("*");
	else
	    printf("A*");
      }
      printf("\n");
      pom=pom+2;
  }
  return 0;
}
	
      
